%define	name	flightgear
%define	oname	FlightGear
%define	version	0.9.10
%define release	%mkrel 5
%define	Summary	The FlightGear Flight Simulator

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	ftp://ftp.flightgear.org/pub/fgfs/Source/%{oname}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		FlightGear-0.9.10-fix-x86_64.patch
BuildRequires:	plib-devel >= 1.8.4 SimGear-devel >= 0.3.10 Mesa-common-devel freealut-devel openal-devel zlib-devel
Requires:	flightgear-base
URL:		http://www.flightgear.org/
Obsoletes:	%{oname}
Provides:	%{oname} = %{version}-%{release}

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
./autogen.sh

rm -f docs-mini/*~

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--libdir=%{_gamesdatadir} \
		--datadir=%{_gamesdatadir} \
		--without-logging \
		--with-multiplayer
make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} bindir=$RPM_BUILD_ROOT%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%_sbindir
cd utils
%{makeinstall}

install -m 755 js_server/js_server $RPM_BUILD_ROOT%_sbindir

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/fgfs" icon="%{name}.png" \
  needs="x11" section="More Applications/Games/Other" title="%{oname}" \
  longtitle="%{Summary}" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Flight Gear
Comment=%{Summary}
Exec=%{_gamesbindir}/fgfs
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;X-MandrivaLinux-MoreApplications-Games-Other;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS docs-mini/
%{_bindir}/*
%{_sbindir}/js_server
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/*
%defattr(-,root,root,755)
%{_gamesbindir}/*
%defattr(644,root,root,755)




%changelog
* Tue Apr 17 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.10-5mdv2007.1
+ Revision: 13665
- branched cooker into 2007.1 (will have to revert some recent changes)

  + Mandriva <devel@mandriva.com>


* Thu Apr 05 2007 Olivier Blin <oblin@mandriva.com> 0.9.10-5mdv2007.1
+ Revision: 150688
- buildrequire zlib-devel
- buildrequire freealut-devel (and link with it instead of old openal)

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.9.10-4mdv2007.1
+ Revision: 89872
- split flightgear data out in flightgear-base

* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.9.10-3mdv2007.1
+ Revision: 89757
- fix menu entry
- Import flightgear

* Thu Aug 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-2mdv2007.0
- add xdg menu
- from Bertrand Coconnier <bcoconni@hotmail.com> :
	o Build for x86_64
	o Remove dependency

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-1mdk
- New release 0.9.10
- %%mkrel
- update menu section

* Mon Dec 05 2005 Olivier Blin <oblin@mandriva.com> 0.9.9-2mdk
- bump SimGear-devel BuildRequires (#20019)

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.8-1mdk
- 0.9.8

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- flightgear is executable

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Mon Aug 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-2mdk
- fix buildrequires
- fix path data files

* Fri Aug 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.5-1mdk
- 0.9.5

* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 0.9.4-2mdk 
- rebuild for new gcc

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4
- fix buildrequires (lib64..)

